Subject: git cvsimport and case-insensitive config

From: Giuseppe Bilotta <[email-masked]>
Date: Tue, 30 Mar 2010 10:32:37 +0200

Hello all,

I just noticed that there's an annoying buglet in the way git cvsimport 
stores its configuration and the case-insensitive key lookup done by git.

git cvsimport looks for cvsimport.* single-letter keys that match the 
command-line option (e.g. cvsimport.r for -r). However, since there are some 
single-letter options which only differ by case (a vs A, r vs R) if you set 
either you get annoying messages (and potentially also odd results, although 
I haven't come across these yet).

I come with no patch because I'm not really sure what would be the best 
approach at fixing this. Changing the way cvsimport matches config to 
command-line options? An option to make git-config case-sensitive re. key 
names? Something else?